#
# spec file for package apache2-mod_limitipconn
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           apache2-mod_limitipconn
Version:        0.24
Release:        10.10
Summary:        An Apache web server module limiting simultaneous connections per IP
License:        Apache-2.0
Group:          Productivity/Networking/Web/Servers
Url:            http://dominia.org/djao/limitipconn.html
Source0:        http://dominia.org/djao/limit/mod_limitipconn-%{version}.tar.bz2
BuildRequires:  apache2-devel
BuildRequires:  apache-rpm-macros
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
Requires:       apache2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mod_limitipconn is a DSO module for the apache web server to
limit the maximum number of simultaneous connections per IP
address. Allows inclusion and exclusion of files based on MIME
type.

%prep
%setup -q -n mod_limitipconn-%{version}

%build
%{apache_apxs} -c -Wc,"-Wall -g" mod_limitipconn.c

%install
mkdir -p %{buildroot}/%{apache_libexecdir}
cp -p .libs/mod_limitipconn.so %{buildroot}/%{apache_libexecdir}

%check
set +x
mkdir -p %{apache_test_module_dir}
echo << EOF > %{apache_test_module_dir}/mod_limitipconn-test.conf
<Directory />
  MaxConnPerIP 3
</Directory>
EOF
%apache_test_module_load -m limitipconn -i mod_limitipconn-test.conf
set -x

%files
%defattr(-,root,root)
%{apache_libexecdir}/*.so
%doc ChangeLog INSTALL README

%changelog
* Tue Sep 15 2015 pgajdos@suse.com
- test module with %%apache_test_module_load
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Mon Nov  3 2014 pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
* Mon Aug  6 2012 crrodriguez@opensuse.org
- Version 0.24, fixes apache 2.4 support
* Tue Jun 10 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
* Mon Jun  2 2008 poeml@suse.de
- initial add (0.22)
